//Troy Rosin

#ifndef __game_h__
#define __game_h__

#include <SDL2/SDL.h>


#define TITLE 0
#define START 1
#define HOST 2
#define JOIN 3
#define OPTIONS 4
#define BATTLE 5
#define OVERWORLD 6
extern int state;

void start_battle();
void start_game();
void show_options();
void host_game();
void join_game();

#define GRAB_NEW 2
#define GRAB_OLD 1
#define LETGO 3
#define NOT_DRAG 0
extern int dragging;


#define MAX_NAMESZ 64
#define MAX_PLAYERS 4


#endif
